%define upstream_name WebService-Dropbox
%define upstream_version 2.07

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Perl interface to Dropbox API
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/WebService/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Net::OAuth)
BuildRequires:  perl(Module::Build::Tiny)

BuildArch:	noarch

%description
WebService::Dropbox is Perl interface to Dropbox API

 - Support Dropbox v1 REST API

 - Support Furl (Fast!!!)

 - Streaming IO (Low Memory)

 - Default URI Escape (The specified path is utf8 decoded string)

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README.md
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.70.0-3.mga8
+ Revision: 1506980
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.70.0-2.mga7
+ Revision: 1287290
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 2.70.0-1.mga7
+ Revision: 1126117
- update to 2.07

* Sun Jun 19 2016 pterjan <pterjan> 1.220.0-4.mga6
+ Revision: 1035694
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.220.0-3.mga6
+ Revision: 971517
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 1.220.0-2.mga6
+ Revision: 891844
- BR perl(Module::Build))

* Sun Jun 21 2015 sander85 <sander85> 1.220.0-1.mga6
+ Revision: 838502
- update to 1.22

* Wed Oct 15 2014 umeabot <umeabot> 1.210.0-3.mga5
+ Revision: 749611
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.210.0-2.mga5
+ Revision: 686878
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 1.210.0-1.mga5
+ Revision: 669977
- imported package perl-WebService-Dropbox

